Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.security
Class PasswordBasedEncryptionFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.security.AbstractEncryptionFilter
com.tangosol.net.security.SymmetricEncryptionFilter
com.tangosol.net.security.PasswordBasedEncryptionFilter`

All Implemented Interfaces:
  WrapperStreamFactory, XmlConfigurable

      public class PasswordBasedEncryptionFilter

extends SymmetricEncryptionFilter

Provides a password-based symmetric encryption wrapper for an InputStream and OutputStream.

Author:
  dr/mf 2006.07.28
See Also:
  `setConfig(com.tangosol.run.xml.XmlElement)`, PKCS #5

Field Summary

Fields inherited from class com.tangosol.net.security.SymmetricEncryptionFilter
`DEFAULT_ALGORITHM, DEFAULT_KEY_LENGTH, DEFAULT_KEYSTORE_TYPE, m_key`

Fields inherited from class com.tangosol.net.security.AbstractEncryptionFilter
`DEFAULT_KEYSTORE_PATH, m_specCipherParams, m_sTransformation, m_tlsCipher`

Constructor Summary
`PasswordBasedEncryptionFilter()`

Method Summary
`void` | `setConfig(XmlElement xml)` Configures the Encryption filter for password based encryption.

Methods inherited from class com.tangosol.net.security.SymmetricEncryptionFilter
`generateKey, getInputStream, getKey, getOutputStream, main, setKey`

Methods inherited from class com.tangosol.net.security.AbstractEncryptionFilter
`ensureSecurityException, ensureSecurityException, getCipher, getCipherParams, getCipherTransformation, getConfig, getKeyStore, makeCipher, setCipherParams, setCipherTransformation`

Constructor Detail

### PasswordBasedEncryptionFilter

    public PasswordBasedEncryptionFilter()

Method Detail

### setConfig

    public void setConfig(XmlElement xml)

  Configures the Encryption filter for password based encryption. Supported configuration elements include:
  - password - (required) the raw material used to generate the secret key
  - salt - the salt to use in deriving the key
  - iterations - the iteration count to use in deriving the key
  - algorithm - the mechanism to use in deriving a secret key from the above material
  Specified by:
    `setConfig` in interface `XmlConfigurable`
  Overrides:
    `setConfig` in class `SymmetricEncryptionFilter`
  Parameters:
    `xml` - the XML configuration for the object

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.